Subject: GIO bus ids on different machines

From: Guido Guenther <[email-masked]>
Date: Mon, 12 Aug 2002 13:45:01 +0200

Hi,
/proc/gio gives weird results on the SGI systems I could check:
- busid 0x04 in slot GFX for Indy with XL(newport) card
- busid 0x04 in slot GFX for an Indy *without* any graphics hardware
- busid 0x3f in slot GFX and 0x04 in EXP0 for a I2 with a single XZ
  board
- busid 0x3f in slot GFX and 0x04 in EXP0 for a I2 *without* any graphics
  hardware
- busid 0x3f in slot GFX and 0x00 in EXP0 for a I2 with an Elan as
  primary and XZ as secondary card
What worries me most is that it doesn't seem to matter if there's
hardware in a GIO slot or not - it reports the same busid - which screws
the GIO bus handling in the X-server completely.
 -- Guido